
package de.ivu.elect.presentation.wahlrechtspruefung.menu;

import javax.inject.Inject;

import de.ivu.elect.business.wahlrechtspruefung.entity.PruefkriteriumMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.wahlrechtspruefung.exchange.PruefkriteriumExportDescription;

public class PruefkriteriumExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private PruefkriteriumMeta pruefkriteriumMeta;

  @Inject
  private PruefkriteriumExportDescription pruefkriteriumExportDescription;

  public PruefkriteriumExportMenuItemEntry() {
    super();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return pruefkriteriumExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return pruefkriteriumMeta;
  }
}
